Loading...
Searching...
No Matches
renderer.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui

## Functions

Component | Renderer (std::function< Element()> render)
| Return a component, using |render| to render its interface.
Component | Renderer (Component child, std::function< Element()> render)
| Return a new Component, similar to |child|, but using |render| as the Component::Render() event.
Component | Renderer (std::function< Element(bool)> render)
| Return a focusable component, using |render| to render its interface.
ComponentDecorator | Renderer (ElementDecorator decorator)
| Decorate a component, by decorating what it renders.